import { z } from 'zod';
import { versionsSchema } from './packwiz-types';
import { fileTreeSchema } from './types-zod';

export const createRequestSchema = z.object({
	name: z.string(),
	description: z.string(),
	versions: versionsSchema,
	tree: fileTreeSchema
});
